Skip to main content
GET
List configs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Case-insensitive substring search over normalized targets, including domain, subdomain, and path.

Maximum string length: 2048
sort_by
enum<string>
default:last_requested_at
Available options:
target,
analysis_status,
recommended_config,
last_requested_at,
success_rate
sort_order
enum<string>
default:desc
Available options:
asc,
desc

Response

Project-scoped recommended configurations.

analysis_id
string
required

ID of the most recently requested analysis for this exact target.

analysis_status
enum<string>
required

Lifecycle status of the most recently requested analysis for this exact target.

Available options:
running,
completed,
failed,
canceled,
expired
last_requested_at
string<date-time>
required

Most recent time the selected project requested an analysis for this exact target.

recommendation
object | null
required

Recommendation produced by the latest analysis. Null when that analysis did not produce one.

Display label for the recommended browser configuration.

success_rate
number | null
required

Success rate for the recommended configuration. Null when the latest analysis did not produce one.

Required range: 0 <= x <= 1
target
string
required

Normalized exact target previously analyzed by the selected project, including scheme, host, port, and path.